smbd crashes __kernel_vsyscall ()

Bug #322503 reported by Roland on 2009-01-28
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
samba (Debian)
Fix Released
Unknown
samba (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: samba

I have a machine named harveybirdman. If certain windows xp machines use explorer to browser to \\harveybirdman then smbd will segfault.

Call stack:
[Thread debugging using libthread_db enabled]
[New Thread 0xb75e46d0 (LWP 7132)]
0xb7b13430 in __kernel_vsyscall ()
#0 0xb7b13430 in __kernel_vsyscall ()
#1 0xb77285e3 in waitpid () from /lib/tls/i686/cmov/libc.so.6
#2 0xb76c575b in ?? () from /lib/tls/i686/cmov/libc.so.6
#3 0xb78b850d in system () from /lib/tls/i686/cmov/libpthread.so.0
#4 0xb7ce2601 in smb_panic () from /usr/sbin/smbd
#5 0xb7ccd023 in sig_fault () from /usr/sbin/smbd
#6 <signal handler called>
#7 0xb7b13430 in __kernel_vsyscall ()
#8 0xb76b7880 in raise () from /lib/tls/i686/cmov/libc.so.6
#9 0xb76b9248 in abort () from /lib/tls/i686/cmov/libc.so.6
#10 0xb76f510d in ?? () from /lib/tls/i686/cmov/libc.so.6
#11 0xb76fb3f4 in ?? () from /lib/tls/i686/cmov/libc.so.6
#12 0xb7cd8f3d in str_list_substitute () from /usr/sbin/smbd
#13 0xb7b97987 in user_ok () from /usr/sbin/smbd
#14 0xb7b97b66 in authorise_login () from /usr/sbin/smbd
#15 0xb7bbd64e in make_connection_snum () from /usr/sbin/smbd
#16 0xb7bbfc47 in make_connection () from /usr/sbin/smbd
#17 0xb7f139f3 in reply_tcon_and_X () from /usr/sbin/smbd
#18 0xb7bb929e in switch_message () from /usr/sbin/smbd
#19 0xb7bbb969 in chain_reply () from /usr/sbin/smbd
#20 0xb7f1f763 in reply_sesssetup_and_X () from /usr/sbin/smbd
#21 0xb7bb929e in switch_message () from /usr/sbin/smbd
#22 0xb7bbb4b1 in smbd_process () from /usr/sbin/smbd
#23 0xb7b82adf in main () from /usr/sbin/smbd
The program is running. Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]

log.smbd:

[2009/01/28 11:23:43, 0] lib/util_sock.c:get_peer_addr_internal(1596)
  getpeername failed. Error was Transport endpoint is not connected
[2009/01/28 11:41:27, 0] lib/util_sock.c:get_peer_addr_internal(1596)
  getpeername failed. Error was Transport endpoint is not connected
[2009/01/28 11:59:15, 0] lib/util_sock.c:get_peer_addr_internal(1596)
  getpeername failed. Error was Transport endpoint is not connected

lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10

samba:
  Installed: 2:3.2.3-1ubuntu3.4
  Candidate: 2:3.2.3-1ubuntu3.4
  Version table:
 *** 2:3.2.3-1ubuntu3.4 0
        500 http://ca.archive.ubuntu.com intrepid-updates/main Packages
        500 http://security.ubuntu.com intrepid-security/main Packages
        100 /var/lib/dpkg/status
     2:3.2.3-1ubuntu3 0
        500 http://ca.archive.ubuntu.com intrepid/main Packages

log.192.168.0.137 (the windows machine) is attached

Roland (roland-rabien) wrote :
Pedro Villavicencio (pedro) wrote :

Thanks for the report Roland, could you please attach your smb.conf file to the report? Thanks in advance.

Changed in samba:
importance: Undecided → Medium
status: New → Incomplete
Roland (roland-rabien) wrote :

Here is my smb.conf

Thierry Carrez (ttx) on 2009-03-13
Changed in samba:
status: Incomplete → New
Thierry Carrez (ttx) wrote :

That's a bug with security=share that was fixed in 3.2.4
More information (with configuration workarounds) can be found on the linked debian bug.
Marking as Fix released since this is fixed in the development release.

Changed in samba:
status: New → Fix Released
Changed in samba (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.